<?php
/**
 *
 * @author：llbjj
 * @DateTime：2022/5/4 20:17
 * @Description：
 *
 */

namespace Application\Factory;

use Interop\Container\ContainerInterface;
use Laminas\ServiceManager\Factory\FactoryInterface;

class EdcDbFactory implements FactoryInterface
{

    /**
     * @inheritDoc
     */
    public function __invoke(ContainerInterface $container, $requestedName, array $options = null)
    {
        // TODO: Implement __invoke() method.
        $defaultDbAdapter = $container->get('edcDbAdapter');
        return new $requestedName($defaultDbAdapter, $container);
    }
}